Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1659803 - [abrt] xorg-x11-server-Xwayland: OsLookupColor(): Segmentation fault at address 0x120200008b7a
Summary: [abrt] xorg-x11-server-Xwayland: OsLookupColor(): Segmentation fault at addre...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:cc53dfe02c3ace52bd94575dae7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-16 16:05 UTC by Mars
Modified: 2019-05-03 13:56 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-03 13:56:34 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (915 bytes, text/plain)
2018-12-16 16:05 UTC, Mars
no flags Details
File: cpuinfo (1.31 KB, text/plain)
2018-12-16 16:05 UTC, Mars
no flags Details
File: dmesg (78.54 KB, text/plain)
2018-12-16 16:06 UTC, Mars
no flags Details
File: dso_list (240 bytes, text/plain)
2018-12-16 16:06 UTC, Mars
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (367 bytes, application/octet-stream)
2018-12-16 16:06 UTC, Mars
no flags Details
File: usr_share_xorg_conf_d.tar.gz (1.95 KB, application/octet-stream)
2018-12-16 16:06 UTC, Mars
no flags Details

Description Mars 2018-12-16 16:05:53 UTC
Version-Release number of selected component:
xorg-x11-server-Xwayland-1.20.3-1.fc29

Additional info:
reporter:       libreport-2.9.7
crash_function: OsLookupColor
executable:     /usr/bin/Xwayland
kernel:         4.19.6-300.fc29.x86_64
runlevel:       unknown
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/bin/Xwayland (OsLookupColor+0x13d) [0x564e60d571ed]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7f2ed8dba0bf]
2: /usr/bin/Xwayland (CloseInput+0x758) [0x564e60bfab38]
3: /usr/bin/Xwayland (miPointerUpdateSprite+0x1c6) [0x564e60c42ae6]
4: /usr/bin/Xwayland (miPointerUpdateSprite+0x4b6) [0x564e60c431f6]
5: /usr/bin/Xwayland (fbSolid+0xccb) [0x564e60c3011b]
6: /usr/bin/Xwayland (AddTraps+0x616f) [0x564e60cbe75f]
7: /usr/bin/Xwayland (ConfineToShape+0x99b) [0x564e60d2aa4b]
8: /usr/bin/Xwayland (DeliverEvents+0xa40) [0x564e60d31f80]
9: /usr/bin/Xwayland (EventSuppressForWindow+0x590) [0x564e60d2c440]
10: /usr/bin/Xwayland (ProcGrabPointer+0xe0) [0x564e60d2ef20]
11: /usr/bin/Xwayland (SendErrorToClient+0x35e) [0x564e60d2121e]
12: /usr/bin/Xwayland (InitFonts+0x3c6) [0x564e60d25246]
13: /lib64/libc.so.6 (__libc_start_main+0xf3) [0x7f2ed8c05413]
14: /usr/bin/Xwayland (_start+0x2e) [0x564e60bf335e]

Comment 1 Mars 2018-12-16 16:05:55 UTC
Created attachment 1514871 [details]
File: backtrace

Comment 2 Mars 2018-12-16 16:05:57 UTC
Created attachment 1514872 [details]
File: cpuinfo

Comment 3 Mars 2018-12-16 16:06:01 UTC
Created attachment 1514873 [details]
File: dmesg

Comment 4 Mars 2018-12-16 16:06:02 UTC
Created attachment 1514874 [details]
File: dso_list

Comment 5 Mars 2018-12-16 16:06:03 UTC
Created attachment 1514875 [details]
File: etc_X11_xorg_conf_d.tar.gz

Comment 6 Mars 2018-12-16 16:06:05 UTC
Created attachment 1514876 [details]
File: usr_share_xorg_conf_d.tar.gz


Note You need to log in before you can comment on or make changes to this bug.